Create a conversation. Run in API Explorer
Ask AI
POST
/api/v1/conversation
curl \
--request POST 'https://api.plannrcrm.com/api/v1/conversation' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{"name":"Annual Review","case":"e916b6e1-604c-4129-b185-685157523e26","participants":["ab56f07b-2e23-44dc-841d-72a19fbd7c90","9cd2e15c-eef9-4f86-a740-b46eceb39d3a","a69b448d-cf22-46f4-b1e4-4984fe9bbf16"],"message":"Hello world!","files":["91cab415-d199-4afc-8c12-afbbcd36389c","dd5fd96d-2ac0-44a9-97de-fa3ad766ec82","b5ca1753-bfce-4d20-a4c5-bbcc9c5c2010"]}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"name": "Annual Review",
"case": "e916b6e1-604c-4129-b185-685157523e26",
"participants": [
"ab56f07b-2e23-44dc-841d-72a19fbd7c90",
"9cd2e15c-eef9-4f86-a740-b46eceb39d3a",
"a69b448d-cf22-46f4-b1e4-4984fe9bbf16"
],
"message": "Hello world!",
"files": [
"91cab415-d199-4afc-8c12-afbbcd36389c",
"dd5fd96d-2ac0-44a9-97de-fa3ad766ec82",
"b5ca1753-bfce-4d20-a4c5-bbcc9c5c2010"
]
}
Response examples (200)
{
"uuid": "0d0a3920-49a5-41eb-b5ce-a82a65f28a59",
"created_at": "2026-07-22T14:08:40+01:00",
"updated_at": "2026-07-22T14:08:40+01:00",
"name": "Welcome to Plannr",
"slug": "welcome-to-plannr",
"belongs_to_case": true,
"case": {
"uuid": "d0eb5a9b-3f63-4e24-91a5-ea818731243f",
"created_at": "2026-07-22T14:08:40+01:00",
"updated_at": "2026-07-22T14:08:40+01:00",
"name": "finance",
"slug": "finance",
"status": {
"uuid": "070b5cf8-6669-4b44-947b-66d5384ae14f",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"name": "To Be Reviewed",
"colour": "#23852B",
"position": 5,
"is_type_completed": false
},
"type": {
"uuid": null,
"name": "Mortgage Plan",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00"
},
"review_at": "2026-07-22T14:08:40+01:00",
"assigned_to_uuids": [
"8b8a7217-aecb-4311-b747-ec3eef7290a8"
],
"group_uuids": [
"27bcd8cf-dc50-418d-b526-88820a655eee"
],
"completed_at": "2026-07-22T14:08:40+01:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"status_position": 4,
"participants_count": 4,
"participants": {
"uuid": "55d55b76-5063-4552-846d-7d2d0d4ce86d",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-22T14:08:48+01:00",
"next_review_date": "2026-07-22T14:08:48+01:00",
"previous_review_date": "2026-07-22T14:08:48+01:00",
"anniversary_review_date": "2026-07-22T14:08:48+01:00",
"terms_of_business_at": "2026-07-22T14:08:48+01:00",
"client_agreement_at": "2026-07-22T14:08:48+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-22",
"last_interaction_at": "2026-07-22 14:08:48",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"task_board_uuid": "19168881-2403-4284-a195-68d288e7bbd9",
"plans": {
"uuid": "88074ac9-0644-4f8a-aa99-93c5a14cd339",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"opened_at": "2026-07-22T14:08:48+01:00",
"name": "Johns ISA",
"type": "cash_account",
"sub_type": "lifetime isa",
"abstract_type": "asset",
"policy_number": "AVIVA-123",
"proposal_reference": "AB123456",
"status": "inactive",
"inactive_at": "2026-07-22T14:08:48+01:00",
"inactive_reason": "claimed",
"agency_in_your_name": true,
"agency_in_your_name_from": "2025-07-22",
"originally_sold_by_firm": true,
"under_advice": true,
"visible_on_client_portal": true,
"include_in_client_valuation": true,
"show_on_joint": true,
"shown_on_circles": true,
"review_date": "2025-07-22",
"on_panel": true,
"is_group_scheme": false,
"is_sub_group_scheme": false,
"is_group_scheme_member": false,
"advice_area": "non_investment_insurance",
"total_benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"total_benefits": {
"critical_illness": {
"amount": {
"example": "15000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£150,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"family_income_benefit": {
"amount": {
"example": "10000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"valued_at": "2026-07-22T14:08:48+01:00",
"original_valued_at": "2026-07-21T14:08:48+01:00",
"statistics": {
"recent_growth": 100
},
"is_wrap_product": false,
"is_wrap_child": false,
"can_be_deleted": "false"
},
"custom_fields": {
"uuid": null,
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink."
}
},
"participants_count": 3,
"participants": [
{
"uuid": "607d19c8-fdb2-4472-b3cd-191708a9c0ff",
"created_at": "2026-07-22T14:08:40+01:00",
"updated_at": "2026-07-22T14:08:40+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": {
"uuid": "b8b87c0b-351c-404e-9a99-f8d1e35ccf53",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"primary_phone_number": {
"uuid": "e84435a0-6148-479a-a240-5e4ad20fa249",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"primary_email": {
"uuid": "e84435a0-6148-479a-a240-5e4ad20fa249",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"current_time_entry": {
"uuid": "49e611e7-0b12-449f-8530-964880c28890",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"start_date": "2026-07-22T13:18:48+01:00",
"end_date": "2026-07-22T13:46:48+01:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680
},
"assigned_adviser": {
"uuid": "55d55b76-5063-4552-846d-7d2d0d4ce86d",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-22T14:08:48+01:00",
"next_review_date": "2026-07-22T14:08:48+01:00",
"previous_review_date": "2026-07-22T14:08:48+01:00",
"anniversary_review_date": "2026-07-22T14:08:48+01:00",
"terms_of_business_at": "2026-07-22T14:08:48+01:00",
"client_agreement_at": "2026-07-22T14:08:48+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-22",
"last_interaction_at": "2026-07-22 14:08:48",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_administrator": {
"uuid": "55d55b76-5063-4552-846d-7d2d0d4ce86d",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-22T14:08:48+01:00",
"next_review_date": "2026-07-22T14:08:48+01:00",
"previous_review_date": "2026-07-22T14:08:48+01:00",
"anniversary_review_date": "2026-07-22T14:08:48+01:00",
"terms_of_business_at": "2026-07-22T14:08:48+01:00",
"client_agreement_at": "2026-07-22T14:08:48+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-22",
"last_interaction_at": "2026-07-22 14:08:48",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_paraplanner": {
"uuid": "55d55b76-5063-4552-846d-7d2d0d4ce86d",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-22T14:08:48+01:00",
"next_review_date": "2026-07-22T14:08:48+01:00",
"previous_review_date": "2026-07-22T14:08:48+01:00",
"anniversary_review_date": "2026-07-22T14:08:48+01:00",
"terms_of_business_at": "2026-07-22T14:08:48+01:00",
"client_agreement_at": "2026-07-22T14:08:48+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-22",
"last_interaction_at": "2026-07-22 14:08:48",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"introduced_by": {
"uuid": "55d55b76-5063-4552-846d-7d2d0d4ce86d",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-22T14:08:48+01:00",
"next_review_date": "2026-07-22T14:08:48+01:00",
"previous_review_date": "2026-07-22T14:08:48+01:00",
"anniversary_review_date": "2026-07-22T14:08:48+01:00",
"terms_of_business_at": "2026-07-22T14:08:48+01:00",
"client_agreement_at": "2026-07-22T14:08:48+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-22",
"last_interaction_at": "2026-07-22 14:08:48",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"business_unit": {
"uuid": "315039df-2679-475b-98e4-11d38ee01a8e",
"name": "Wealth Management",
"has_alternative_branding": false,
"brand_colours": [],
"members_count": 3,
"groups_count": 2,
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00"
},
"groups": {
"uuid": null,
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": null,
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00"
},
"tags": {
"uuid": "1cf2aa8d-4fc2-4c1e-9a53-7ebd571b87c5",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"owners": {
"uuid": "55d55b76-5063-4552-846d-7d2d0d4ce86d",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-22T14:08:48+01:00",
"next_review_date": "2026-07-22T14:08:48+01:00",
"previous_review_date": "2026-07-22T14:08:48+01:00",
"anniversary_review_date": "2026-07-22T14:08:48+01:00",
"terms_of_business_at": "2026-07-22T14:08:48+01:00",
"client_agreement_at": "2026-07-22T14:08:48+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-22",
"last_interaction_at": "2026-07-22 14:08:48",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"first_contact_date": "2026-07-22T14:08:40+01:00",
"next_review_date": "2026-07-22T14:08:40+01:00",
"previous_review_date": "2026-07-22T14:08:40+01:00",
"anniversary_review_date": "2026-07-22T14:08:40+01:00",
"terms_of_business_at": "2026-07-22T14:08:40+01:00",
"client_agreement_at": "2026-07-22T14:08:40+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": {
"uuid": "ce7969d1-b161-49b0-854c-ecee3add864f",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-07-22T14:08:48+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "2b1fa473-a47d-4906-bd62-7b416c15730c",
"login_access_level": "write",
"current_life_stage_uuid": "7fa9d874-fbea-4d21-bb3a-5081b77eab5b"
},
"circles": {
"uuid": "ce7969d1-b161-49b0-854c-ecee3add864f",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-07-22T14:08:48+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "2b1fa473-a47d-4906-bd62-7b416c15730c",
"login_access_level": "write",
"current_life_stage_uuid": "7fa9d874-fbea-4d21-bb3a-5081b77eab5b"
},
"ownership_percentage": 100,
"inactive_at": "2026-07-22",
"last_interaction_at": "2026-07-22 14:08:40",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"custom_fields": {
"uuid": null,
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink."
},
"external_references": {
"uuid": "171d5ffa-127a-487b-b548-09c3dc7d9a32",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
],
"latest_message": {
"uuid": "192a47b7-e98d-425e-b46f-1735b7e789bc",
"created_at": "2026-07-22T14:08:40+01:00",
"updated_at": "2026-07-22T14:08:40+01:00",
"deleted_at": "2026-07-22T14:08:40+01:00",
"contents": "Welcome to Plannr!",
"edited": true,
"files": {
"uuid": "4fcc5dbc-445a-499d-a1e8-5a57ed399adc",
"created_at": "2026-07-22T14:08:48+01:00",
"original_created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"uploaded_at": "2026-07-22T14:08:48+01:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-07-22T14:08:48+01:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/32ccd68e-fd42-49aa-9aa4-5a016509d9bb/download",
"folder_name": "folder 2",
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": null
}
},
"author": {
"uuid": "55d55b76-5063-4552-846d-7d2d0d4ce86d",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-22T14:08:48+01:00",
"next_review_date": "2026-07-22T14:08:48+01:00",
"previous_review_date": "2026-07-22T14:08:48+01:00",
"anniversary_review_date": "2026-07-22T14:08:48+01:00",
"terms_of_business_at": "2026-07-22T14:08:48+01:00",
"client_agreement_at": "2026-07-22T14:08:48+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-22",
"last_interaction_at": "2026-07-22 14:08:48",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"user": {
"uuid": "58b369cb-0ee1-4dd2-a3d8-7c822c0986e4",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"type": "standard",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"two_factor_enabled": true,
"two_factor_type": "sms",
"otp_confirmed_at": "2026-07-22T14:08:48+01:00",
"otp_pending": false,
"sms_two_factor_enabled": true,
"two_factor_mobile": true,
"two_factor_mobile_meta": {
"country": "GB",
"formatted": "0333 090 3630"
},
"session_expires_at": "2026-07-22T14:08:48+01:00",
"remember_token_expires_at": true,
"should_auto_save_notes": true
},
"reactions": {
"uuid": "4cf60d0a-d64a-43d5-896b-cad8a8798af7",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"account_uuid": null,
"account_name": "Gareth Thompson",
"reaction": "like"
}
},
"messages_count": 30,
"files_count": 2,
"tags": [
{
"uuid": "13597387-9570-4f47-97a3-82bd14677f63",
"created_at": "2026-07-22T14:08:40+01:00",
"updated_at": "2026-07-22T14:08:40+01:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
}
],
"pinned": true,
"is_admin": false
}